#
# Cookbook Name:: raxmon-cli
# Recipe:: default
#
# Copyright 2012, Rackspace Hosting
#
# All rights reserved - Do Not Redistribute
#

include_recipe "python"

#Access the Rackspace Cloud encrypted data_bag 
raxcloud = Chef::EncryptedDataBagItem.load("rackspace","cloud")

#Create variables for the Rackspace Cloud username and apikey
raxusername = raxcloud['raxusername']
raxapikey = raxcloud['raxapikey']

#Install the raxmon-cli
python_pip "rackspace-monitoring-cli" do
  action :upgrade
end

#Create the .raxrc with credentials in /root
template "/root/.raxrc" do
  source "raxrc.erb"
  owner "root"
  group "root"
  mode 0600
  variables(
    :raxusername => raxusername,
    :raxapikey => raxapikey
  )
end
